# addMultilineMultiValueOption

open fun addMultilineMultiValueOption(option: String): JavadocOptionFileOption<List<List<String>>>

Adds an option that will appear multiple times each with zero, one, or multiple values supplied as individual argument each. The returned option object must be used to configure the value unless the option should not be supplied.

`addMultilineMultiValueOption("foo").setValue(asList(asList("bar"), asList("baz", "bam boo"), emptyList()))` will produce the command-line

        -foo bar
        -foo baz 'bam boo'
        -foo

Content copied to clipboard

A value of `null` or an empty list will make the option not be supplied and can be used to unset an option that previously was set.

A value of `null` for one of the inner lists is not supported and will result in a `NullPointerException`.

An empty list for one of the inner lists will cause the option to be supplied without an additional argument.

#### Return

an option object to further configure the value

#### Since

3.5

#### Parameters

option

command-line option